/// <reference types="node" />
import { IncomingHttpHeaders } from 'http';
import { ParsedUrlQuery } from 'querystring';
export declare type SocketNextFunction = (err?: Error) => void;
export declare type Socket = {
    data: Partial<any>;
    handshake: Handshake;
    [key: string]: any;
};
export interface Handshake {
    /**
     * The headers sent as part of the handshake
     */
    headers: IncomingHttpHeaders;
    /**
     * The date of creation (as string)
     */
    time: string;
    /**
     * The ip of the client
     */
    address: string;
    /**
     * Whether the connection is cross-domain
     */
    xdomain: boolean;
    /**
     * Whether the connection is secure
     */
    secure: boolean;
    /**
     * The date of creation (as unix timestamp)
     */
    issued: number;
    /**
     * The request URL string
     */
    url: string;
    /**
     * The query object
     */
    query: ParsedUrlQuery;
    /**
     * The auth object
     */
    auth: {
        [key: string]: any;
    };
}
//# sourceMappingURL=type.d.ts.map